/*
 *  nautilus-adamext.h
 */

#ifndef NAUTILUS_ADAMEXT_H
#define NAUTILUS_ADAMEXT_H

#include <glib-object.h>

G_BEGIN_DECLS

/* Declarations for the adamext extension object.  This object will be
 * instantiated by nautilus.  It implements the GInterfaces 
 * exported by libnautilus. */


#define NAUTILUS_TYPE_ADAMEXT	  (nautilus_adamext_get_type ())
#define NAUTILUS_ADAMEXT(o)	  (G_TYPE_CHECK_INSTANCE_CAST ((o), NAUTILUS_TYPE_ADAMEXT, NautilusAdamExt))
#define NAUTILUS_IS_ADAMEXT(o)	  (G_TYPE_CHECK_INSTANCE_TYPE ((o), NAUTILUS_TYPE_ADAMEXT))
typedef struct _NautilusAdamExt      NautilusAdamExt;
typedef struct _NautilusAdamExtClass NautilusAdamExtClass;

struct _NautilusAdamExt {
	GObject parent_slot;
};

struct _NautilusAdamExtClass {
	GObjectClass parent_slot;
};

GType nautilus_adamext_get_type      (void);
void  nautilus_adamext_register_type (GTypeModule *module);

G_END_DECLS

#endif
